# Class: AbstractEntity

## AbstractEntity()

Base class for all backend entities.

## Constructor

#### new AbstractEntity()

Source:
  - becca/entities/abstract_entity.js, line 16

### Methods

#### markAsDeleted(deleteIdopt)

Mark the entity as (soft) deleted. It will be completely erased later. This is a low level method, for notes and branches use `note.deleteNote()` and 'branch.deleteBranch()` instead.

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`deleteId` |  | <optional> | null |

Source:
  - becca/entities/abstract_entity.js, line 118

#### save() → {AbstractEntity}

Saves entity - executes SQL, but doesn't commit the transaction on its own

Source:
  - becca/entities/abstract_entity.js, line 73

##### Returns:

Type
  AbstractEntity